﻿Namespace CRUD
    Public NotInheritable Class FormFacade

        'The main application form
        Private mOwnerForm As Form

        'The Form the CommandHolder belongs to
        Private mCurrentForm As Form


        ''' <param name="OwnerForm">Used to associate this form to the main application form</param>
        ''' <param name="CurrentForm">Used to associate the form where this object is instantiated to a single C1CommandHolder</param>
        Public Sub New(ByVal OwnerForm As Form,
                       ByVal CurrentForm As Form,
                       Optional ByVal MenusVisualStyle As C1.Win.C1Command.VisualStyle = C1.Win.C1Command.VisualStyle.Office2010Blue)

            Me.mOwnerForm = OwnerForm
            Me.mCurrentForm = CurrentForm

            Me.mCurrentForm.MinimumSize = CurrentForm.Size

            CurrentForm.StartPosition = FormStartPosition.CenterScreen

            'Use the MDI parent's icon, if we have a parent that is
            If OwnerForm IsNot Nothing Then
                CurrentForm.Icon = OwnerForm.Icon

                If OwnerForm.IsMdiContainer Then
                    CurrentForm.MdiParent = OwnerForm
                End If
            End If

        End Sub

    End Class
End Namespace