﻿using System.Collections.Generic;

namespace Eka.Inheritance.MDIControls.FormSearchBox
{
    /// <summary>
    /// Possible ways of matching methods
    /// </summary>
    public enum SearchMatchingType
    {
        /// <summary>
        /// Use for regular expression searching
        /// </summary>
        UseRegularExpression,
        /// <summary>
        /// Use of wild card searching
        /// </summary>
        UseWildcard,
        /// <summary>
        /// Use for No wild card searching
        /// </summary>
        NoWildcard
    }

    /// <summary>
    /// The result of a search match
    /// There are the items we store in the suggestion listbox
    /// </summary>
    public class SearchMatchdInfo
    {
        /// <summary>
        /// The original source
        /// </summary>
        public string Text { get; set; }

        /// <summary>
        /// The source decomposed on match/non matches against the pattern
        /// </summary>
        public List<string> Segments { get; set; }

        /// <summary>
        /// Is the first segment a match?
        /// </summary>
        public bool StartsOnMatch { get; set; }
    }
}
